Bug 143435 - CAN-2004-1145 Konqueror Java Vulnerability
Summary: CAN-2004-1145 Konqueror Java Vulnerability
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdebase   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard: impact=important,public=20041220
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-20 20:07 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 16:44:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2004-12-20 20:07:21 UTC
Two flaws in the Konqueror webbrowser make it possible to by pass the
sandbox environment which is used to run Java-applets.  One flaw
allows access to restricted Java classes via JavaScript, making it
possible to escalate the privileges of the Java-applet.  The other
problem is that Konqueror fails to correctly restrict access to
certain Java classes from the Java-applet itself.

See http://www.kde.org/info/security/advisory-20041220-1.txt for the
full advisory.

Comment 1 Josh Bressers 2004-12-20 20:08:10 UTC
This issue should also affect RHEL2.1

Comment 2 Ngo Than 2005-02-03 16:44:57 UTC
There're many API changes between 3.1 and 3.2 in KJAS. Backporting is
not possible. Disable jave is a workaround ATM, which we should
probably mention in the errata. I close it as WONTFIX


Note You need to log in before you can comment on or make changes to this bug.